/*
	Dummy header file for Sherlock.

	Rename this file to be sl.h.

	Sherlock is in the public domain and may be obtained from
	the C Users' Group.

	DISCLAIMER OF WARRANTIES

	Edward K. Ream (Ream) specifically disclaims all warranties,
	expressed or implied, with respect to this computer software,
	including but not limited to implied warranties of merchantability
	and fitness for a particular purpose.  In no event shall Ream be
	liable for any loss of profit or any commercial damage, including
	but not limited to special, incidental consequential or other damages.
*/

#define SL_VERSION_NAME "1.7 (dummy)"

/* Synonyms. */

#define LEAVE(a)		TICKX(a)
#define ENTER(a)		TICKB(a)
#define ENTER_TRACE(a,b)	TRACEPB(a,b)

/* Always define these. */
#define SL_DISABLE()
#define SL_ENABLE()

/*
	Null macro definitions for all Sherlock macros.
*/
#define RETURN_BOOL(a,b)	return b
#define RETURN_CHAR(a,c)	return c
#define RETURN_DOUBLE(a,d)	return d
#define RETURN_FLOAT(a,f)	return f
#define RETURN_INT(a,i)		return i
#define RETURN_LONG(a,l)	return l
#define RETURN_PTR(a,p)		return p
#define RETURN_STRING(a,s)	return s
#define RETURN_UINT(a,u)	return u
#define RETURN_ULONG(a,u)	return u
#define RETURN_VOID(a)		return

#define SL_CLEAR()
#define SL_DUMP()
#define SL_INIT()
#define SL_NAME(a,b)
#define SL_OFF(s)
#define SL_ON(s)
#define SL_PARSE(argc,argv,on,off)

#define STAT(a)
#define STATB(a)
#define STATX(a)

#define TICK(a)
#define TICKB(a)
#define TICKN(a)

#define TICKX(a)
#define TICKX_BOOL(a,b)
#define TICKX_CHAR(a,c)
#define TICKX_DOUBLE(a,d)
#define TICKX_FLOAT(a,f)
#define TICKX_INT(a,i)
#define TICKX_LONG(a,l)
#define TICKX_PTR(a,p)
#define TICKX_STRING(a,s)
#define TICKX_UINT(a,u)
#define TICKX_ULONG(a,u)
#define TICKX_VOID(a)

#define TRACE(a,b)
#define TRACEB(a,b)
#define TRACEN(a,b)
#define TRACEX(a,b)

#define TRACEP(a,b)
#define TRACEPB(a,b)
#define TRACEPN(a,b)
#define TRACEPX(a,b)
