# Turbo C make file for csdb.exe
#
# HUGE memory model
#
# February 19, 1989
#
# csdb.exe also depends on sherlock.obj and prf.obj (see spp.lnk)

csdb.exe: cstardb.obj glbdb.obj dcldb.obj defdb.obj dirdb.obj \
expdb.obj g1db.obj g2db.obj g3db.obj indb.obj \
memdb.obj mstdb.obj outdb.obj pardb.obj phdb.obj prdb.obj \
regdb.obj stdb.obj strdb.obj sysdb.obj t1db.obj t2db.obj \
tokdb.obj utldb.obj x2db.obj
	tlink @csdb.lnk

glbdb.obj: ..\glb.c ..\enum.h
  tcc -mh -c -C -oglbdb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\glb.c

cstardb.obj: ..\cstar.c ..\enum.h
  tcc -mh -c -C -ocstardb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\cstar.c

dcldb.obj: ..\dcl.c ..\enum.h
  tcc -mh -c -C -odcldb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\dcl.c

dirdb.obj: ..\dir.c ..\enum.h
  tcc -mh -c -C -odirdb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\dir.c

defdb.obj: ..\def.c ..\enum.h
  tcc -mh -c -C -odefdb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\def.c

expdb.obj: ..\exp.c ..\enum.h
  tcc -mh -c -C -oexpdb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\exp.c

g1db.obj: ..\g1.c ..\enum.h
  tcc -mh -c -C -og1db.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\g1.c

g2db.obj:  ..\g2.c  ..\enum.h
  tcc -mh -c -C -og2db.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\g2.c

g3db.obj: ..\g3.c ..\enum.h
  tcc -mh -c -C -og3db.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\g3.c

indb.obj:  ..\in.c  ..\enum.h
  tcc -mh -c -C -oindb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\in.c

memdb.obj: ..\mem.c ..\enum.h
  tcc -mh -c -C -omemdb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\mem.c

mstdb.obj: ..\mst.c ..\enum.h
  tcc -mh -c -C -omstdb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\mst.c

outdb.obj:  ..\out.c  ..\enum.h
  tcc -mh -c -C -ooutdb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\out.c

pardb.obj: ..\par.c ..\enum.h
  tcc -mh -c -C -opardb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\par.c

phdb.obj:  ..\ph.c  ..\enum.h
  tcc -mh -c -C -ophdb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\ph.c

prdb.obj:  ..\pr.c  ..\enum.h
  tcc -mh -c -C -oprdb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\pr.c

regdb.obj: ..\reg.c ..\enum.h
  tcc -mh -c -C -oregdb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\reg.c

stdb.obj:  ..\st.c  ..\enum.h
  tcc -mh -c -C -ostdb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\st.c

strdb.obj: ..\str.c ..\enum.h
  tcc -mh -c -C -ostrdb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\str.c

sysdb.obj: ..\sys.c ..\enum.h
  tcc -mh -c -C -osysdb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\sys.c

t1db.obj: ..\t1.c ..\enum.h
  tcc -mh -c -C -ot1db.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\t1.c

t2db.obj: ..\t2.c ..\enum.h
  tcc -mh -c -C -ot2db.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\t2.c

tokdb.obj: ..\tok.c ..\enum.h
  tcc -mh -c -C -otokdb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\tok.c

utldb.obj: ..\utl.c ..\enum.h
  tcc -mh -c -C -outldb.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\utl.c

x2db.obj: ..\x2.c ..\enum.h
  tcc -mh -c -C -ox2db.obj -Ic:\include\turboc -Ic:..\ -Ic:\sherlock -DTURBOC -DSHERLOCK ..\x2.c
